@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --text: #fff;
  --background: #161a30;
  --secondary-glow: conic-gradient(
    from 10deg at 50% 50%,
    #070f2b 0deg,
    #1e0342 55deg,
    #97b5da 120deg,
    #0099ca 160deg,
    rgb(214, 219, 220) 360deg
  );

  --third-glow: conic-gradient(
    from 90deg at 50% 50%,
    #ff8b7e 0deg,
    #e24e6b 160deg,
    #7ed2da 120deg,
    #8bdce0 55deg,
    rgb(214, 219, 220) 360deg
  );

  --header-height: 80px;
}

body {
  color: var(--text);
  background-color: var(--background);
  min-height: 100vh;
}

.main {
  min-height: calc(100vh - var(--header-height));
  background-color: var(--background);
}

@layer components {
  .header {
    height: var(--header-height);
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
  }
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }

  .bg-primary {
    background-color: var(--background);
  }
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
